:root {
    --font-opensans:'Open Sans', sans-serif;
}

body {
    margin: 0;
    font-family: var(--font-opensans);
    color: #EFEFEF;
    font-size: 16px;
    font-weight: 700;
}
.navigation {
    width: 90px; /*250*/
    height: 1024px;
    background-color: #242625;
    box-shadow: 1px 0 0 #DEDEDE;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    transition: all .5s;
}

.userinfo {
    display: flex;
    margin: 20px 24px 0 24px;
}

a {
    color: #C0BFBD;
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
}

.userinfo-info {
    margin-left: 8px;
    overflow: hidden;
}

.userinfo-info a {
    font-size: 14px;
    font-weight: 400;
}

ul {
    list-style: none;
    padding: 0;
    margin: 56px auto 0;
    display: flex;
    flex-direction: column;
}

li {
    display: flex;
    align-items: center;
    width: 56px; /* 218*/
    height: 50px;
    border-radius: 8px;
    margin-bottom: 16px;
    overflow: hidden;
}

ul img {
    margin:0 16px;
}

li:hover {
    background-color: #424444;
}

ul.footer{
    margin: 362px auto 0;
}

.arrow{
    position: absolute;
    top: 24px;
    left: 78px;
    transform: rotate(180deg);
    transition: all .5s;
}

.navigation:hover {
    width: 250px;
}

.navigation:hover li {
    width: 218px;
}

.navigation:hover .arrow {
    left: 238px;
    transform: rotate(0deg);
}

.dark {
    position: absolute;
    top: 950px;
    left: 17px;
    width: 50px;
    height: 50px;
    background-color: #242625;
    transition: all .5s;
}

.dark img {
    margin: 16px 8px;
}

.navigation:hover .dark {
    left: 200px;
    background-color: rgb(24, 26, 25, 0);
}